# This is a copy of the upstream conda recipe for this package
# hosted at github.com/conda-forge/lal-feedstock and licensed
# under the terms of the BSD 3-Clause license.
# This is only for CI purposes, and should not be considered
# production-ready at any time.

{% set name = "lalburst" %}
{% set version = "@VERSION@" %}
{% set url = "file://@TARBALL@" %}
{% set sha256 = "@SHA256@" %}

# dependencies
{% set lal_version = "6.21.0" %}
{% set lalmetaio_version = "1.6.0" %}
{% set lalsimulation_version = "1.10.0" %}
{% set swig_version = "3.0.9" %}

package:
  name: {{ name }}
  version: {{ version }}

source:
  url: {{ url }}
  sha256: {{ sha256 }}

build:
  number: 9999
  skip: true  # [win]

requirements:
  build:
    - {{ compiler('c') }}
    - make
    - pkg-config >=0.18.0
    - swig >={{ swig_version }}
  host:
    - gsl
    - lal >={{ lal_version }}a0
    - lalmetaio >={{ lalmetaio_version }}a0
    - lalsimulation >={{ lalsimulation_version }}a0
    - metaio
  run:
    - gsl
    - lal >={{ lal_version }}a0
    - lalmetaio >={{ lalmetaio_version }}a0
    - lalsimulation >={{ lalsimulation_version }}a0
    - metaio

test:
  commands:
    - lalburst_version --verbose
    - conda inspect linkages -p ${PREFIX} ${PKG_NAME}  # [not win]
    - conda inspect objects -p ${PREFIX} ${PKG_NAME}  # [osx]

outputs:
  - name: lalburst
    build:
      run_exports:
        - {{ pin_subpackage("lalburst", max_pin="x.x") }}

  - name: python-lalburst
    script: install-python.sh
    build:
      activate_in_script: True
    requirements:
      build:
        - {{ compiler('c') }}
        - make
        - pkg-config >=0.18.0
        - swig >={{ swig_version }}
      host:
        - {{ pin_subpackage('lalburst', exact=True) }}
        - lscsoft-glue
        - numpy
        - python
        - python-lal >={{ lal_version }}a0
        - python-lalmetaio >={{ lalmetaio_version }}a0
        - python-lalsimulation >={{ lalsimulation_version }}a0
        - scipy
      run:
        - gsl
        - lal >={{ lal_version }}a0
        - {{ pin_subpackage('lalburst', exact=True) }}
        - lalmetaio
        - lalsimulation
        - ligo-segments
        - lscsoft-glue
        - matplotlib
        - metaio
        - {{ pin_compatible('numpy') }}
        - python
        - python-lal >={{ lal_version }}a0
        - python-lalmetaio >={{ lalmetaio_version }}a0
        - python-lalsimulation >={{ lalsimulation_version }}a0
        - python-ligo-lw
        - scipy
    test:
      imports:
        - lalburst
        - lalburst.SimBurstUtils
        - lalburst.SnglBurstUtils
        - lalburst.binjfind
        - lalburst.bucluster
        - lalburst.burca
        - lalburst.burca_tailor
        - lalburst.cafe
        - lalburst.calc_likelihood
        - lalburst.cs_gamma
        - lalburst.date
        - lalburst.packing
        - lalburst.snglcluster
        - lalburst.snglcoinc
        - lalburst.timeslides
      commands:
        - conda inspect linkages -p ${PREFIX} ${PKG_NAME}  # [not win]
        - conda inspect objects -p ${PREFIX} ${PKG_NAME}  # [osx]
    about:
      home: https://wiki.ligo.org/Computing/LALSuite
      doc_url: https://lscsoft.docs.ligo.org/lalsuite/lalburst/
      dev_url: https://git.ligo.org/lscsoft/lalsuite/
      license: GPLv3
      license_family: GPL
      license_file: COPYING
      summary: LSC Algorithm Burst Library
      description: |
        The LSC Algorithm Burst Library for gravitational wave data analysis.
        This package contains the python bindings.

about:
  home: https://wiki.ligo.org/Computing/LALSuite
  doc_url: https://lscsoft.docs.ligo.org/lalsuite/lalburst/
  dev_url: https://git.ligo.org/lscsoft/lalsuite/
  license: GPLv3
  license_family: GPL
  license_file: COPYING
  summary: LSC Algorithm Burst Library
  description: |
    The LSC Algorithm Burst Library for gravitational wave data analysis.
    This package contains the shared-object libraries needed to run
    applications that use the LAL Burst library.  If you want to install
    the Python bindings, please install the associated python-lalburst
    package.

extra:
  recipe-maintainers:
    - duncanmmacleod
    - skymoo
